Bug 240528 - www/webkit2-gtk3: Update to 2.26.0
Summary: www/webkit2-gtk3: Update to 2.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL: https://webkitgtk.org/2019/09/09/webk...
Keywords: needs-patch, needs-qa
Depends on: 240196
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 09:53 UTC by Tobias Kortkamp
Modified: 2019-10-31 21:19 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
webkit2-gtk3.diff (5.95 KB, patch)
2019-09-12 09:53 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-09-12 09:53:04 UTC
Created attachment 207413 [details]
webkit2-gtk3.diff

This is meant as a tracking bug for the webkit2-gtk3 update to 2.26.0.
The attached patch has been completely untested since 2.26.0 requires
GStreamer 1.16.
Comment 1 Ting-Wei Lan 2019-09-12 15:01:02 UTC
It also needs libwpe and wpebackend-fdo, which haven't been added to ports. I have used this release for a few day and encountered some bugs:
https://bugs.webkit.org/show_bug.cgi?id=201544
https://bugs.webkit.org/show_bug.cgi?id=201645
Comment 2 Tobias Kortkamp freebsd_committer 2019-10-31 21:19:21 UTC
Fixed in ports r516196.

Note that GStreamer 1.16 no longer seems to be required since 2.16.1.